<template>
  <div class="w-full bgStyle fixed bottom-0" :class="`${configuration === 'horizontal' ? 'flex gap-2 px-5 py-4' : 'flex flex-col-reverse gap-3 px-5 py-3'}`">
    <svn-pro-button
      v-if="hasSecondaryAction"
      variant="outlined"
      color="primary"
      :text="secondaryActionText"
      @click="onClickSecondaryAction"
      :class="`${configuration === 'horizontal' ?  hasPrimaryAction ? 'flex-1' : 'w-full' : 'w-full'}`"
    >
    </svn-pro-button>

    <svn-pro-button
      v-if="hasPrimaryAction"
      variant="flat"
      color="primary"
      :text="primaryActionText"
      @click="onClickPrimaryAction"
      :class="`${configuration === 'horizontal' ? hasSecondaryAction ? 'flex-1' : 'w-full' : 'w-full'}`"
    >
    </svn-pro-button>
  </div>
</template>

<script setup>
import SvnProButton from './SvnProButton.vue'

const props = defineProps({
  configuration: {
    type: String,
    default: "horizontal",
  },
  hasPrimaryAction: {
    type: Boolean,
    default: true,
  },
  hasSecondaryAction: {
    type: Boolean,
    default: true,
  },
  primaryActionText: {
    type: String,
    default: "Label",
  },
  secondaryActionText: {
    type: String,
    default: "Label",
  },
})

const emit = defineEmits(['clickPrimaryAction', 'clickSecondaryAction'])

const onClickPrimaryAction = () => {
  emit('clickPrimaryAction')
}

const onClickSecondaryAction = () => {
  emit('clickSecondaryAction')
}
</script>

<style scoped>
.bgStyle {
  background: linear-gradient(0deg, var(--sys-primary-overlay-v-theme-primary-overlay-multiplier-024, rgba(62, 82, 202, 0.24)) 0%, var(--sys-primary-overlay-v-theme-primary-overlay-multiplier-024, rgba(62, 82, 202, 0.24)) 100%), var(--sys---v-theme-surface, #FBF9F9);
}
</style>